fourdst::libcomposition v2.0.1 Robust atomic species information library

Loading...
Searching...
No Matches
Classes | Namespaces | Functions
atomicSpecies.h File Reference
`#include <string_view>`
`#include <string>`
`#include <optional>`
`#include <limits>`
Include dependency graph for atomicSpecies.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | fourdst::atomic::Species
| Represents an atomic species (isotope) with its fundamental physical properties. More...
struct | std::hash< fourdst::atomic::Species >
| Specialization of `std::hash` for `fourdst::atomic::Species`. More...

## Namespaces
namespace | fourdst::atomic
| Contains canonical information about atomic species and elements used by 4D-STAR.
namespace | fourdst

## Functions
double | fourdst::atomic::convert_jpi_to_double (const std::string &jpi_string) noexcept
| Converts a spin-parity string (JPI string) to a double-precision floating-point number.
bool | fourdst::atomic::operator== (const Species &lhs, const Species &rhs)
| Equality operator for Species. Compares based on name.
bool | fourdst::atomic::operator!= (const Species &lhs, const Species &rhs)
| Inequality operator for Species. Compares based on name.
bool | fourdst::atomic::operator< (const Species &lhs, const Species &rhs)
| Less-than operator for Species. Compares based on atomic mass.
bool | fourdst::atomic::operator> (const Species &lhs, const Species &rhs)
| Greater-than operator for Species. Compares based on atomic mass.